#include <SPI.h>
#include <Wire.h>

#include <Adafruit_GFX.h> // Скачанная библиотека для дисплея.
#include <Adafruit_SSD1306.h> // Скачанная библиотека для дисплея. https://yadi.sk/d/9F_uW1wIZUDna

#define OLED_RESET 4
Adafruit_SSD1306 display(OLED_RESET);

int analogTempSensor = 14;

void setup(){
  Serial.begin(9600);
  pinMode(14, INPUT);  
  display.begin(SSD1306_SWITCHCAPVCC, 0x3C); // initialize with the I2C addr 0x3C (for the  0.96" 128X64 OLED LCD Display)I2C АДРЕС.
}

void loop() {
  int val = analogRead(analogTempSensor);
  int  temp = val * (5.0 / 1023.0) * 1000;
  temp = map(temp, 100, 1700, -40, 120);
  display.clearDisplay(); // Clear the buffer. / Очистить буфер.
  display.setTextColor(WHITE); // Цвет текста.
  display.setTextSize(5); // Размер текста (1).
  display.setCursor(2,2); // Устанавливаем курсор в колонку 0, строку 0. на самом деле это строка №1, т.к. нумерация начинается с 0.
  display.println(temp); // Печатаем 1 строку. 
  display.display();
  Serial.println(temp);
  delay(1500);
}
